<ion-view hide-back-button="true" cache-view="false" class="allFeeds">
    <ion-nav-title class="custom-title">{{ 'FEED_TITLE' | translate }} {{profiledata.feed_view}}</ion-nav-title>
    <ion-nav-buttons side="right">
        <button ui-sref="selecionar-estado"  class="button icon-left button-clear header-btn">
            <i class="icon-map-pin"></i>
        </button>

    </ion-nav-buttons>

    <ion-content class="feed-postagens keyboardChange">
        <div class="list card list-corrhashtag" ng-if="currhashtag">
            <p class="content-currhashtag">#{{currhashtag}}</p>
        </div>

        <ion-refresher
            pulling-text="Puxe para atualizar..."
            on-refresh="doRefresh()">
        </ion-refresher>
        <div class="loading-video" ng-if="videoProgress > 0 && videoProgress < 99">
            <p class="text-center">O seu vídeo está sendo processado, não encerre o aplicativo!</p>
            <div class="progress">
                <div class="progress-bar" role="progressbar" aria-valuenow="{{videoProgress}}" aria-valuemin="0" aria-valuemax="100" style="width: {{videoProgress}}%;">
                    <span class="sr-only"><span class="percent">{{videoProgress}}%</span> Completo</span>
                </div>
            </div>
        </div>
        <div class="loading-video" ng-if="videoProgress > 99">
            <p class="text-center">Pronto, seu vídeo já foi carregado. Em breve sua publicação estará visível e você será notificado.</p>
        </div>
        <div class="postagem" ng-repeat="feed in feeds">
            <ion-card ng-hide="feed.adv_type == 'banner'">
                <ion-item class="dados-perfil">
                    <div class="row">
                        <div class="col col-20">
                            <div ng-if="feed.user_photo" class="foto-perfil" style="background-position: center;background-size: cover; background-image: url('{{photo_baseurl}}services/imageProfileReader.php?image={{feed.user_photo}}');"></div>
                            <div ng-if="!feed.user_photo" class="foto-perfil" style="background-position: center;background-size: cover; background-image: url('img/emptyavatar.jpg');"></div>
                        </div>
                        <div ng-if="profiledata.feed_view == 'Brasil'" class="col col-60 nome-horario">
                            <span class="nome-usuario" >{{feed.user_name}} <i class=ion-arrow-right-b></i>
                                <span class="nome-estado" ng-click="setFeedState(feed)">{{feed.nome_estado}}</span>
                            </span>
                            <span class="horario-post">{{feed.adv == 0 || feed.adv == null ? feed.post_date : 'Patrocinado'}}</span>
                        </div>
                        <div ng-if="profiledata.feed_view != 'Brasil'" class="col col-70 nome-horario">
                            <span class="nome-usuario" >{{feed.user_name}}</span>
                            <span clasqs="horario-post">{{feed.adv == 0 || feed.adv == null ? feed.post_date : 'Patrocinado'}}</span>
                        </div>
                        <div ng-if="profiledata.feed_view == 'Brasil'" class="col col-offset-10 col-10 acoes text-right">
                            <button class="button-icon icon ion-android-more-vertical flat pull-right more" ng-click="showDelete(feed,$index)" aria-label="Toggle ngShow" ng-show="feed.self_post == 'yes' || profiledata.profileid >= 4  "></button>
                            <button class="button button-fab-list animate-show-hide" ng-show="(feed.self_post == 'yes' || profiledata.profileid >= 4) && feed.showExclude" ng-click="deletePost(feed,$index)">Excluir</button>
                        </div>
                        <div ng-if="profiledata.feed_view != 'Brasil'" class="col col-10 acoes text-right">
                            <button class="button-icon icon ion-android-more-vertical flat pull-right more" ng-click="showDelete(feed,$index)" aria-label="Toggle ngShow" ng-show="feed.self_post == 'yes' || profiledata.profileid >= 4  "></button>
                            <button class="button button-fab-list animate-show-hide" ng-show="(feed.self_post == 'yes' || profiledata.profileid >= 4) && feed.showExclude" ng-click="deletePost(feed,$index)">Excluir</button>
                        </div>
                    </div>
                </ion-item>
                <ion-card-content>
                    <div class="row texto-post">
                        <div class="col texto">
                            <p>
                                <a href="#/post/{{ feed.post_id }}">
                                    <swifthash id="dir" content="feed.post_text"></swifthash>
                                </a>
                            </p>
                        </div>
                    </div>
                    <div class="row" >
                        <div class="col img-post">
                            <ion-slide-box ng-if="feed.photos.length > 0 && (feed.photos[0].type == 'foto' || feed.photos[0].type == '0')" ng-click="openGallery()">
                                <ion-slide ng-repeat="image in feed.photos" >
                                    <a data-fancybox="{{feed.post_id}}" data-caption="{{feed.post_text}}" href="{{photo_baseurl}}services/imageReader.php?image={{image.photoname}}" data-options='{"closeClickOutside" :true}'>
                                        <div class="feed-images-wrapper" style="background-image: url({{photo_baseurl}}services/imageReader.php?image={{image.photoname}});"> </div>
                                    </a>
                                </ion-slide>
                            </ion-slide-box>
                            <div ng-if="feed.photos.length > 0 && feed.photos[0].type == 'video'">
                                <video width="100%" controls controlsList="nodownload" poster="{{feed.photos[0].cover}}" webkit-playsinline playsinline preload="none">
                                    <source ng-src="{{feed.photos[0].urlWebm | trusted}}" type="video/webm">
                                    <source ng-src="{{feed.photos[0].url | trusted}}" type="video/mp4">
                                </video>
                            </div>
                            <div ng-if="feed.photos[0].type =='youtube'" class="videoYoutubeWrapper">
                                <iframe width="100%" height="100%" ng-src="{{trustSrc(feed.photos[0].photoname)}}" frameborder="0" allowfullscreen></iframe>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col curtidas-comentarios">
                            <div class="curtidas">
                                <span>{{ 'FEED_LIKES' | translate:{ LIKES: feed.post_likescount } }}</span>
                            </div>
                            <div class="comentarios">
                                <span><a href="javascript:void(0);" ng-click="showcomments(feed.post_id, $index,false)">{{ 'FEED_COMMENTS' | translate:{ COMMENTS: feed.post_commentscount } }}</a></span>
                            </div>
                        </div>
                    </div>
                </ion-card-content>
                <div class="row botoes-postagem">
                    <div class="col col-50 curtir" ng-click="likeFeed(feed.post_id , $index)">
                        <a ng-class="{'liked': feed.selflike}"  href="javascript:void(0);" class="subdued">
                            <i class="icon-thumbs-up" ng-class="{'liked': feed.selflike}"></i>
                            <span ng-class="{'liked': feed.selflike}">{{ feed.selflike ? 'Curtiu' : 'Curtir' }}</span>
                        </a>
                    </div>
                    <div class="col col-50 comentar" ng-click="showcomments(feed.post_id, $index,true)">
                        <a href="javascript:void(0);"  class="subdued">
                            <i class="icon-comment-square"></i>
                            <span>Comentar</span>
                        </a>
                    </div>
                </div>                
            </ion-card>
            <ion-card ng-show="feed.adv_type == 'banner'">
                <a href="{{feed.adv_link == 0 ? 'javascript:void(0)' : feed.adv_link}}" target="_blank"><img src="{{feed.photos[0].photoname | trusted}}" width="100%"></a>
            </ion-card>
        </div>

        <div class="text-center end-content" ng-show="noMoreItemsAvailable && feeds.length">
            <p>Não há mais nada a ser exibido!</p>
        </div>

        <!--Quando não existir posts ainda-->
        <div ng-show="!feeds.length && noMoreItemsAvailable">
            <div class="row">
                <div class="col text-center">
                    <p>Olá {{profiledata.name}}, você é o primeiro a aparecer por aqui :)</p>
                    <p>Quer ser o primeiro a publicar algo? basta clicar no botão abaixo.</p>
                </div>
            </div>
            <div class="row">
                <div class="col col-80 col-offset-10 text-center">
                    <a href="#/tab/newpost" class="button button-balanced">Quero ser o primeiro</a>
                </div>
            </div>
        </div>
        <ion-infinite-scroll ng-if="!noMoreItemsAvailable" on-infinite="loadMore('iscroll')" distance="35%"></ion-infinite-scroll>
    </ion-content>
    <a ng-if="profiledata.feed_view != 'Brasil'" class="button button-fab button-fab-bottom-right" ui-sref="tab.newpost">
        <i class="icon-plus"></i>
    </a>
</ion-view>
